import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';

import { HerowarsGuildwarComponent } from './herowars-guildwar.component';

describe('HerowarsGuildwarComponent', () => {
  let component: HerowarsGuildwarComponent;
  let fixture: ComponentFixture<HerowarsGuildwarComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [HerowarsGuildwarComponent],
      providers: [
        provideHttpClient(),
        provideAnimations(),
      ],
    })
    .compileComponents();
    
    fixture = TestBed.createComponent(HerowarsGuildwarComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
